package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.ProductProducttype;
import org.apache.ibatis.annotations.Mapper;

/**
 * 产品类型表 Mapper接口
 *
 * @author ruoyi
 */
@Mapper
public interface ProductProducttypeMapper
{
    /**
     * 查询产品类型集合
     *
     * @return 产品类型集合
     */
    public List<ProductProducttype> selectProductProducttypeList();

    /**
     * 根据ID查询产品类型信息
     *
     * @param id 主键ID
     * @return 产品类型信息
     */
    public ProductProducttype selectProductProducttypeById(Long id);

    /**
     * 新增产品类型信息
     *
     * @param productProducttype 产品类型信息
     * @return 结果
     */
    public int insertProductProducttype(ProductProducttype productProducttype);

    /**
     * 修改产品类型信息
     *
     * @param productProducttype 产品类型信息
     * @return 结果
     */
    public int updateProductProducttype(ProductProducttype productProducttype);

    /**
     * 删除产品类型信息
     *
     * @param id 主键ID
     * @return 结果
     */
    public int deleteProductProducttypeById(Long id);

    /**
     * 批量删除产品类型信息
     *
     * @param ids 需要删除的主键ID数组
     * @return 结果
     */
    public int deleteProductProducttypeByIds(Long[] ids);
}